Package ru.bitel.bgbilling.kernel.contract.balance.common.bean

# Class Payment

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.contract.balance.common.bean.AbstractBalanceBean
ru.bitel.bgbilling.kernel.contract.balance.common.bean.Payment

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`, `Idable`

Direct Known Subclasses:
  `Payment`

    public class Payment
    extends AbstractBalanceBean
    implements java.io.Serializable, java.lang.Cloneable

Платёж договора.

Для получения типа(PaymentType) использовать справочник типов, там содержится(покрайней мери пока) название и значение редактируемости.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Payment()` |
  `Payment​(int id, int userId, int contractId, int typeId, java.util.Date date, java.lang.String comment, java.math.BigDecimal sum, java.util.Date timeChange)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Payment` | `clone()` |
  `void` | `setPaymentDate​(java.util.Date date)` | Deprecated.
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.balance.common.bean.AbstractBalanceBean

  `getComment, getContractId, getDate, getSum, getSumma, getTimeChange, getTypeId, getUserId, setComment, setContractId, setDate, setSum, setSumma, setTimeChange, setTypeId, setUserId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Payment

    public Payment()

  - ### Payment

    public Payment​(int id, int userId, int contractId, int typeId, java.util.Date date, java.lang.String comment, java.math.BigDecimal sum, java.util.Date timeChange)

- ## Method Details

  - ### clone

    public Payment clone() throws java.lang.CloneNotSupportedException
    Overrides:
      `clone` in class `java.lang.Object`
    Throws:
      `java.lang.CloneNotSupportedException`

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `AbstractBalanceBean`

  - ### setPaymentDate

    @Deprecated public void setPaymentDate​(java.util.Date date)
    Deprecated.
    Устанавливает дату платежа. Устарел - использовать `AbstractBalanceBean.setDate(Date)`
    Parameters:
      `date` -